记录黑客技术中优秀的内容,传播黑客文化,分享黑客技术精华

Linux 内核权限提升漏洞(CVE-2022-2588)通告

2022-09-30 15:59

一、漏洞概述

近日,绿盟科技CERT监测到有研究员在网上披露了一个存在于Linux内核中权限提升漏洞(CVE-2022-2588)的EXP,由于对route4_filter链表的操作不当,导致Linux内核中的net/schedule/cls_route.c过滤器的route4_change函数存在use-after-free漏洞,具有普通用户权限的本地攻击者通过利用此漏洞,可获取当前系统的root权限。CVSS评分为7.8,请相关用户尽快采取措施进行防护。

参考链接:https://access.redhat.com/security/cve/cve-2022-2588

二、影响范围

受影响版本

  • Linux Kernel>= 6.12-rc2

不受影响版本

  • Linux Kernel >= v5.19

三、漏洞检测

  • 版本检测

Linux系统用户可以通过查看版本来判断当前系统是否在受影响范围内,查看操作系统版本信息命令如下:

cat /proc/version

四、漏洞防护

  • 官方升级

目前官方已升级内核版本修复该漏洞,请受影响的用户尽快更新版本进行防护,官方下载链接:https://www.kernel.org

Redhat产品下载链接:https://access.redhat.com/security/cve/cve-2022-2588

Ubuntu产品下载链接:https://ubuntu.com/security/CVE-2022-2588

Debian产品下载链接:https://security-tracker.debian.org/tracker/CVE-2022-2588

声明

本安全公告仅用来描述可能存在的安全问题,绿盟科技不为此安全公告提供任何保证或承诺。由于传播、利用此安全公告所提供的信息而造成的任何直接或者间接的后果及损失,均由使用者本人负责,绿盟科技以及安全公告作者不为此承担任何责任。

绿盟科技拥有对此安全公告的修改和解释权。如欲转载或传播此安全公告,必须保证此安全公告的完整性,包括版权声明等全部内容。未经绿盟科技允许,不得任意修改或者增减此安全公告内容,不得以任何方式将其用于商业目的。


知识来源: blog.nsfocus.net/linux-cve-2022-2588/

阅读:564784 | 评论:0 | 标签:威胁通告 安全漏洞 漏洞 漏洞披露 漏洞防护 linux CVE

想收藏或者和大家分享这篇好文章→复制链接地址

“Linux 内核权限提升漏洞(CVE-2022-2588)通告”共有0条留言

发表评论

姓名:

邮箱:

网址:

验证码:

黑帝公告 📢

十年经营持续更新精选优质黑客技术文章Hackdig,帮你成为掌握黑客技术的英雄

🙇🧎营运续持们我助帮↓

标签云 ☁